org.rrd4j

## Enum DsType

- java.lang.Object
- - java.lang.Enum<DsType>
  - - org.rrd4j.DsType

- All Implemented Interfaces:
    Serializable, Comparable<DsType>

      public enum DsType
      extends Enum<DsType>

  Enumeration of available datasource types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE` Is for counters which get reset upon reading.
    `COUNTER` Is for continuous incrementing counters like the ifInOctets counter in a router.
    `DERIVE` Will store the derivative of the line going from the last to the current value of the data source.
    `GAUGE` Is for things like temperatures or number of people in a room or the value of a RedHat share.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSOLUTE

          public static final DsType ABSOLUTE

      Is for counters which get reset upon reading.

    - #### COUNTER

          public static final DsType COUNTER

      Is for continuous incrementing counters like the ifInOctets counter in a router.

    - #### DERIVE

          public static final DsType DERIVE

      Will store the derivative of the line going from the last to the current value of the data source.

    - #### GAUGE

          public static final DsType GAUGE

      Is for things like temperatures or number of people in a room or the value of a RedHat share.

  - ### Method Detail

    - #### valueOf

          public static DsType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static DsType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DsType c : DsType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared